import { Observable, Subscriber, TeardownLogic } from 'rxjs';
import { OBDConfig } from '../connection';
import { OBDData } from '../model';
import { OBDEvent } from '../model/OBDEvent';
export declare class FromOBDObservable extends Observable<OBDEvent> {
    private config?;
    /**
     * The connection connection to ELM 327 OBD Reader.
     */
    private connection;
    /**
     * Last OBD Data emitted.
     */
    private data;
    /**
     * Flag of indicate that a pull loop is running.
     */
    private running;
    /**
     * Static constructor to be exported in the rxjs-obd.
     * @param config
     * @returns The observable of OBDEvents.
     */
    static create(config?: OBDConfig): Observable<OBDEvent>;
    constructor(config?: OBDConfig);
    done(data: OBDData): void;
    dispatchNext(id: number, subscriber: Subscriber<OBDEvent>): void;
    _subscribe(subscriber: Subscriber<OBDEvent>): TeardownLogic;
}
