"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var connection_1 = require("../connection");
var OBDEvent_1 = require("../model/OBDEvent");
var FromOBDObservable = /** @class */ (function (_super) {
    __extends(FromOBDObservable, _super);
    function FromOBDObservable(config) {
        var _this = _super.call(this) || this;
        _this.config = config;
        return _this;
    }
    /**
     * Static constructor to be exported in the rxjs-obd.
     * @param config
     * @returns The observable of OBDEvents.
     */
    FromOBDObservable.create = function (config) {
        if (config === void 0) { config = connection_1.defaultOBDWifiConfig; }
        return new FromOBDObservable(config);
    };
    FromOBDObservable.prototype.done = function (data) {
        this.data = __assign({}, data);
        this.running = false;
    };
    FromOBDObservable.prototype.dispatchNext = function (id, subscriber) {
        if (!this.running) {
            this.running = true;
            var data = __assign({}, this.data);
            subscriber.next(new OBDEvent_1.OBDEvent(id, this.connection, this.done.bind(this), data));
        }
    };
    FromOBDObservable.prototype._subscribe = function (subscriber) {
        var _this = this;
        var unsubscribe;
        var _a = this.config, pullingInterval = _a.pullingInterval, connection = _a.connection;
        this.connection = connection;
        this.connection.open(this.config).subscribe({
            error: function (error) { return subscriber.error(error); },
            complete: function () {
                // connected
                var subscription = rxjs_1.interval(pullingInterval).subscribe(function (id) { return _this.dispatchNext(id, subscriber); });
                unsubscribe = function () {
                    connection.close();
                    subscription.unsubscribe();
                };
                subscriber.add(new rxjs_1.Subscription(unsubscribe));
            }
        });
    };
    return FromOBDObservable;
}(rxjs_1.Observable));
exports.FromOBDObservable = FromOBDObservable;
//# sourceMappingURL=FromOBDObservable.js.map