import { Subscriber } from 'rxjs';
export function pluckOBDData() {
    return function (source) {
        return source.lift(new PluckOBDDataOperator());
    };
}
class PluckOBDDataOperator {
    call(subscriber, source) {
        return source.subscribe(new PluckOBDDataSubscriber(subscriber));
    }
}
class PluckOBDDataSubscriber extends Subscriber {
    constructor(destination) {
        super(destination);
    }
    _next(event) {
        event.next(event.data);
        this.destination.next(event.data);
    }
}
//# sourceMappingURL=pluckOBDData.js.map